<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-13 09:43:17
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzCityExchangeCarModel extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_city_exchange_car_model}}';
    }
                
    /**
     * ------------ 字段 model_id 
     * ------------ 表字段注释: 标签ID
     */
    public function filterByModelId($val): self
    {
        $this->filterByColumn("model_id", $val);
        return $this;
    }

    public function setModelId($val): self
    {
        $this->setAttr("model_id", $val);
        return $this;
    }

    public function getModelId()
    {
        return $this->model_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 model_code 
     * ------------ 表字段注释: 编码
     */
    public function filterByModelCode($val): self
    {
        $this->filterByColumn("model_code", $val);
        return $this;
    }

    public function setModelCode($val): self
    {
        $this->setAttr("model_code", $val);
        return $this;
    }

    public function getModelCode()
    {
        return $this->model_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 main_admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByMainAdminId($val): self
    {
        $this->filterByColumn("main_admin_id", $val);
        return $this;
    }

    public function setMainAdminId($val): self
    {
        $this->setAttr("main_admin_id", $val);
        return $this;
    }

    public function getMainAdminId()
    {
        return $this->main_admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 model_images 
     * ------------ 表字段注释: 图片，多图逗号隔开
     */
    public function filterByModelImages($val): self
    {
        $this->filterByColumn("model_images", $val);
        return $this;
    }

    public function setModelImages($val): self
    {
        $this->setAttr("model_images", $val);
        return $this;
    }

    public function getModelImages()
    {
        return $this->model_images ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 model_name 
     * ------------ 表字段注释: 车型名称
     */
    public function filterByModelName($val): self
    {
        $this->filterByColumn("model_name", $val);
        return $this;
    }

    public function setModelName($val): self
    {
        $this->setAttr("model_name", $val);
        return $this;
    }

    public function getModelName()
    {
        return $this->model_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 utime 
     * ------------ 表字段注释: 
     */
    public function filterByUtime($val): self
    {
        $this->filterByColumn("utime", $val);
        return $this;
    }

    public function setUtime($val): self
    {
        $this->setAttr("utime", $val);
        return $this;
    }

    public function getUtime()
    {
        return $this->utime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 dtime 
     * ------------ 表字段注释: 删除时间
     */
    public function filterByDtime($val): self
    {
        $this->filterByColumn("dtime", $val);
        return $this;
    }

    public function setDtime($val): self
    {
        $this->setAttr("dtime", $val);
        return $this;
    }

    public function getDtime()
    {
        return $this->dtime ?? null;
    }
    // ---------------------------------------------
    
}
